org.apache.ignite.internal.processors.pool

## Interface MetricsAwareExecutorService

All Known Implementing Classes:
  IgniteStripedThreadPoolExecutor, IgniteThreadPoolExecutor, SecurityAwareStripedExecutor, SecurityAwareStripedThreadPoolExecutor, SecurityAwareThreadPoolExecutor, StripedExecutor

    public interface MetricsAwareExecutorService

Executor service that supports self-registration of metrics.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `registerMetrics(MetricRegistry mreg)` Register thread pool metrics.

### Method Detail

#### registerMetrics

    void registerMetrics(MetricRegistry mreg)

Register thread pool metrics.

Parameters:
  `mreg` - Metrics registry.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023